jQuery.noConflict();
// 提醒发货
function noticeDeliver(id){
  hideDialog('#wst-di-prompt');
  $.post(WST.U('mobile/orders/noticeDeliver'),{id:id},function(data){
      var json = WST.toJson(data);
      if(json.status==1){
        reFlashList();// 刷新列表
      }else{
        WST.msg(json.msg,'info');
      }
  });
}
// 获取订单列表
function getOrderList(){
  $('#Load').show();
    loading = true;
    var param = {};
    param.type = $('#type').val();
    param.pagesize = 10;
    param.page = Number( $('#currPage').val() ) + 1;
    $.post(WST.U('mobile/orders/getOrderList'), param, function(data){
        var json = WST.toJson(data);
        var html = '';
        if(json && json.Rows && json.Rows.length>0){
          var gettpl = document.getElementById('shopList').innerHTML;
          laytpl(gettpl).render(json.Rows, function(html){
            $('#order-box').append(html);
          });

          $('#currPage').val(json.CurrentPage);
          $('#totalPage').val(json.TotalPage);
        }else{
           html += '<div class="wst-prompt-icon"><img src="'+ window.conf.MOBILE +'/img/nothing-order.png"></div>';
          html += '<div class="wst-prompt-info">';
          html += '<p>暂无相关订单</p>';
          html += '<button class="ui-btn-s" onclick="javascript:WST.intoIndex();">去逛逛</button>';
          html += '</div>';
          $('#order-box').html(html);
        }
        WST.imgAdapt('j-imgAdapt');
        loading = false;
        $('#Load').hide();
        echo.init();//图片懒加载
    });
}

// 刷新列表页
function reFlashList(){
  $('#currPage').val('0');
  $('#order-box').html(' ');
  getOrderList();
}

function showCancelBox(event){
    $("#wst-event0").attr("onclick","javascript:"+event);
    $("#cancelBox").dialog("show");
}
// 取消订单
function cancelOrder(oid){
  var param = {};
  param.id=oid;
  param.reason=$('#reason').val();
  param.content=$('#contentd').val();
  if(param.reason==10000){
    var content = $.trim($('#contentd').val());
    if(content == ''){
      WST.msg('请输入拒收原因','info');
      return;
    }
  }
  $.post(WST.U('mobile/orders/cancellation'),param,function(data){
    hideDialog('#cancelBox');
    var json = WST.toJson(data);
    if(json.status==1){
      reFlashList();
      setTimeout(function(){
        // 重置下拉框
        $('#reason').val('1');
        $('#contentd').val(' ');
        $('#rejectTrs').hide();// 隐藏输入框
      },500)
    }else{
      WST.msg(json.msg,'info');
    }
  });
}

// 拒收
function showRejectBox(event){
    $("#wst-event3").attr("onclick","javascript:"+event);
    $("#rejectBox").dialog("show");
}

function rejectOrder(oid){
  var param = {};
  param.id=oid;
  param.reason=$('#reject').val();
  param.content=$('#contents').val();
  if(param.reason==10000){
    var content = $.trim($('#contents').val());
    if(content == ''){
      WST.msg('请输入拒收原因','info');
      return;
    }
  }
  
  $.post(WST.U('mobile/orders/reject'),param,function(data){
    
    hideDialog('#rejectBox');

    var json = WST.toJson(data);
    if(json.status==1){
      $('#content').val(' ');
      reFlashList();
    }else{
      WST.msg(json.msg,'info');
    }
  });

}
function changeRejectType(v){
  if(v==10000){
    $('#rejectTr').show();
  }else{
    $('#rejectTr').hide();
  }
}

function changeReasonType(v){
  if(v==10000){
    $('#rejectTrs').show();
  }else{
    $('#rejectTrs').hide();
  }
}
//  隐藏对话框
function hideDialog(id){
  $(id).dialog("hide");
}

// 确认收货
function receive(oid){
  hideDialog('#wst-di-prompt');
  $.post(WST.U('mobile/orders/receive'),{id:oid},function(data){
      var json = WST.toJson(data);
      if(json.status==1){
        reFlashList();// 刷新列表
      }else{
        WST.msg(json.msg,'info');
      }
  });
}



/*********************** 订单详情 ****************************/
//弹框
function dataShow(){
    jQuery('#cover').attr("onclick","javascript:dataHide();").show();
    jQuery('#frame').animate({"right": 0}, 500);
    setTimeout(function(){$('#shopBox').hide();},600)
    
}
function dataHide(){
    $('#shopBox').show();
    var dataHeight = $("#frame").css('height');
    var dataWidth = $("#frame").css('width');
    jQuery('#frame').animate({'right': '-'+dataWidth}, 500);
    jQuery('#cover').hide();
}



function getOrderDetail(oid){
  $.post(WST.U('mobile/orders/getDetail'),{id:oid},function(data){
      var json = WST.toJson(data);
      if(json.status!=-1){
        var gettpl1 = document.getElementById('detailBox').innerHTML;
          laytpl(gettpl1).render(json, function(html){
            $('#content').html(html);
            // 弹出层滚动条
            var clientH = WST.pageHeight();// 屏幕高度
            var boxheadH = $('#boxTitle').height();// 弹出层标题高度
            var contentH = $('#content').height(); // 弹出层内容高度
            if((clientH-boxheadH) < contentH){
              $('#content').css('height',clientH-boxheadH+'px');
            }
            dataShow();
          });
      }else{
        WST.msg(json.msg,'info');
      }
  });
}
// 跳转到评价页
function toAppr(oid){
  location.href=WST.U('mobile/orders/orderappraise',{'oId':oid});
}
// 投诉
function complain(oid){
  location.href=WST.U('mobile/ordercomplains/complain',{'oId':oid});
}

//余额支付
function walletPay(type){
	var payPwd = $('#payPwd').val();
	if(!payPwd){
		WST.msg('请输入支付密码','info');
		return;
	}
	var params = {};
	if(type==0){
		var payPwd2 = $('#payPwd2').val();
		if(payPwd2==''){
	    	WST.msg('确认密码不能为空','info');
	        return false;
	    }
		if(payPwd!=payPwd2){
	    	WST.msg('确认密码不一致','info');
	        return false;
	    }
		params.newPass = payPwd;
		$.post(WST.U('mobile/users/editpayPwd'),params,function(data,textStatus){
			WST.noload(); 
			var json = WST.toJson(data);
		    if(json.status==1){
		    	WST.load('成功设置密码，<br>订单支付中···');
		    }else{
		    	WST.msg(json.msg,'info');
		    }
		});
	}else{
		WST.load('正在核对密码···');
	}
    params.payPwd = payPwd;
    params.pkey = $('#pkey').val();
    $('.wst-btn-dangerlo').attr('disabled', 'disabled');
    setTimeout(function(){
	$.post(WST.U('mobile/wallets/payByWallet'),params,function(data,textStatus){
		WST.noload(); 
		var json = WST.toJson(data);
	    if(json.status==1){
	    	WST.msg(json.msg,'success');
	        setTimeout(function(){
	        	location.href = WST.U('mobile/orders/index');
	        },2000);
	    }else{
	    	WST.msg(json.msg,'info');
	        setTimeout(function(){
	            $('.wst-btn-dangerlo').removeAttr('disabled');
	        },2000);   
	    }
	});
    },1000);
}
//选择支付方式
function choicePay(pkey){
	location.href=WST.U('mobile/orders/succeed',{'pkey':pkey});
}
//跳转支付
function toPay(pkey,n){
	if(n=='alipays'){
		location.href=WST.U('mobile/alipays/toAliPay',{'pkey':pkey});
	}else if(n=='wallets'){
		location.href = WST.U('mobile/wallets/payment',{'pkey':pkey});
	}else if(n=='weixinpays'){
    location.href = WST.U('mobile/weixinpays/toPay',{"pkey":pkey});
  }
}